> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/notes.md).

# Notes

Most data in OpenReview are represented as *Notes*. Each *Note* responds to an *Invitation*, which specifies the possible content and permissions that the *Note* is required to contain.

Users can query notes using the ID of the Invitation that they respond to.

Consider the following example which gets the public *Notes* that represent the 11th through 20th submissions to ICLR 2019:

```
blind_submissions = client.get_notes(
        invitation='ICLR.cc/2019/Conference/-/Blind_Submission',
        limit=10,
        offset=10)
```

By default, *get\_notes* will return up to the first 1000 corresponding *Notes (limit=1000).* To retrieve Notes beyond the first 1000, you can adjust the offset parameter, or use the function client.get\_all\_notes which returns a list of all corresponding *Notes*:

```
blind_submissions = client.get_all_notes(invitation='ICLR.cc/2019/Conference/-/Blind_Submission')
```

It’s also possible to query for Notes that are replies to other Notes. All reviews, decisions, and comments posted to a particular submission will share that submission's forum. To get all of the notes posted to a particular submission forum, you can do the following:&#x20;

```
notes = client.get_all_notes(forum = "")
```

If you would like to get all types of replies for a Conference, like all Reviews, you can use details = replies. Consider the following example that gets all *Official\_Comments* for the ICLR 2021 conference:

```
blind_submissions = client.get_all_notes(invitation='ICLR.cc/2021/Conference/-/Blind_Submission', details='replies')
comments = [] 
for submission in blind_submissions:
    comments = comments + [reply for reply in submission.details["replies"] if reply["invitation"].endswith("Official_Comment")]
```

This code returns public comments left on ICLR 2021 Blind Submissions with invitations such as ICLR.cc/2021/Conference/Paper1234/-/Official\_Commen&#x74;*.*

Invitation IDs follow a loose convention that resembles the one in the example above: the ID of the conference (e.g. ICLR.cc/2019/Conference) and an identifying string (e.g. Blind\_Submission), joined by a dash (-). Older conferences often use the format ConferenceID/-/Paper#/Officia&#x6C;*\_*&#x43;omment, whereas newer venues use the format ConferenceID/Paper#/-/Official\_Comment.

Invitations can be queried with the *get\_invitations* function to find the Invitation IDs for a particular conference. The following example retrieves the first 10 Invitations for the ICLR 2019 conference:

```
iclr19_invitations = client.get_invitations(
        regex='ICLR.cc/2019/Conference/.*',
        limit=10,
        offset=0)
```

Like *get\_notes*, *get\_invitations* will return up to the first 1000 Invitations (*limit=1000*). To retrieve Invitations beyond the first 1000, you can adjust the *offset* parameter, or use the function tools.iterget\_invitations:

```
iclr19_invitations_iterator = openreview.tools.iterget_invitations(
        client, regex='ICLR.cc/2019/Conference/.*')
```

The data of a note is stored in the "content" of that note. For example, the actual decision is stored in the content of decision notes and can be accessed like this:&#x20;

```
decision = decision_note.content["decision"]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
